Subject: Re: bug#7390: 24.0.50; pos-col-row gives incorrect row

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Nov 2010 23:21:16 +0200

> From: Chong Yidong <[email-masked]>
> Cc: Drew Adams <[email-masked]>, [email-masked]
> Date: Sat, 13 Nov 2010 16:13:14 -0500
> 
> I've checked a fix for picture-mouse-set-point into the emacs-23 branch.
> 
> The underlying situation is currently somewhat unsatisfactory---the
> pixel position of a mouse-event in the text area counts X from the start
> of the text area (excluding margins and fringes), and Y from the top of
> the window (including the header line).
> 
> This arises from some internal redisplay engine semantics, and is not
> really intuitive.  Rightfully, the header-line should be excluded from
> the pixel Y coordinates.  It's not feasible to change this for Emacs 23,
> since existing code might depend on the current behavior.  But we can
> contemplate changing this in Emacs 24.

I could revert my change to emacs-23 branch and install it on the
trunk instead.  (Although I cannot see how this could hurt existing
code -- did you see Lisp code that actually depends on this?)